<?php

class formWidgetAuthRegisterOptions extends cmsForm {

    public function init() {

        return array(

            array(
                'type' => 'fieldset',
                'title' => 'Вид',
                'childs' => array(
				
				new fieldNumber('options:width', array(
                        'title' => 'Максимальная ширина окна',
						'units' => 'px',
                    )),		
				
				new fieldNumber('options:width', array(
                        'title' => 'Ширина боковой колонки',
							'units' => '%',
                    )),		
				
				new fieldColor('options:aside_bg', array(
                        'title' => 'Цветной фон боковой колонки', 
						'hint' => 'служит оверлеем если выбрано фоновое изображение',
                    )),		
                    new fieldNumber('options:aside_bg_opacity', array(
                        'title' => 'Степень прозрачность цветного фона боковой колонки',
						'hint' => 'от 1 - 9',
                    )),	
					
				new fieldColor('options:aside_color_h3', array(
                        'title' => 'Цвет заголовка в боковой колонки',
                    )),		
					
				new fieldColor('options:aside_color', array(
                        'title' => 'Цвет текста в боковой колонки',
                    )),			
				new fieldColor('options:aside_color_link', array(
                        'title' => 'Цвет ссылок в боковой колонки',
                    )),		
				
				new fieldColor('options:button_color', array(
                        'title' => 'Цвет кнопки отправки формы',
                    )),				
				new fieldImage('options:aside_image', array(
                        'title' => 'Фоновое изображение боковой колонки'
                    )),	
				
			     )
            ),
			
            array(
                'type' => 'fieldset',
                'title' => 'Текст',
                'childs' => array(

                   new fieldText('options:text', array(
                        'title' => 'Текст после заголовка',
						'default' => ''
                    )),	
					
					new fieldText('options:rules_text', array(
                        'title' => 'Согласие на обработку персональных данных',
						'default' => '<b>Я принимаю условия <a href="/pages/rules.html">Пользовательского соглашения</a></b>
и даю своё согласие на обработку моих персональных данных,
в соответствии с Федеральным законом от 27.07.2006 года №152-ФЗ «О персональных данных», на условиях и для целей, определенных <a href="/pages/rules.html">Политикой конфиденциальности.</a>'
                    )),	

                )
            ),

        );

    }

}
