
<?php $aside_width = !empty($widget->options['aside_width']) ? $widget->options['aside_width'] : 30; ?>

<div class="register_splash" id="<?php echo $widget->bind_id; ?>_register_splash" style="display:none">

<div class="register_splash_wrapper"><a href="#close">X</a>


<div class="register_splash_aside">

<h3>Регистрация</h3>

<?php if(!empty($widget->options['text'])){ ?>
<div class="text_after_h3">
<?php echo $widget->options['text']; ?>
</div>
<?php } ?>

<a href="#" class="register_button" id="register_button">Продолжить</a>

</div>



<div class="register_splash_form">

<?php
    $this->renderForm($form, array(), array(
        'action'      => href_to('auth', 'register'),
        'method'      => 'post',		
        'form_tpl_file'      => 'form-modal-register', 
        'append_html' => $captcha_html,
        'submit'      => array(
            'title' => LANG_CONTINUE
        )
    ), false);
?>



<?php if(!empty($widget->options['rules_text'])){ ?>
<div class="rules_text">
<span><input name="is_rules" type="checkbox" value="1" checked="" required=""></span>
<p><?php echo $widget->options['rules_text']; ?></p>
</div>
<?php } ?>



</div>

</div>

</div>

<script>
$('.register_splash_form form').find('fieldset').wrapInner("<div/>").children(0).unwrap();
$( "#register_button" ).click(function() {
  $( ".register_splash_form form .button-submit.button" ).trigger('click');
});
$( '.register_splash a[href="#close"]' ).click(function() {
	$('.register_splash').fadeOut(400);
	$('html').removeClass('is_splash');
    return false;
});
$( 'a[href="/auth/register"]' ).click(function() {
	$('.register_splash').fadeIn(400);
	$('html').addClass('is_splash');
    return false;
});
$('.register_splash_form form .tab > div legend').each(function () {
    legend = $(this).html();
	$(this).html('<span>'+legend+'</span>');
});
</script>

<style>

html.is_splash body::-webkit-scrollbar { 
    display: none; 
}

html.is_splash,
html.is_splash body{ 
    overflow:hidden;
}

.register_splash a[href="#close"]{
	position:absolute;
	top:0;
	right:0;
	text-decoration:none !important;
	color:red !important;
	background:white;
	opacity:0.8;
	padding:10px 20px;
	font-size:22px;
	border-bottom-left-radius:25px;
}
.register_splash a[href="#close"]:hover{
	background:red;
	color:#fff !important;
}

.register_splash .rules_text{
	padding:15px 25px 15px 15px;
	color:#647785;
	opacity:0.8;
	display:flex;
	align-items:center;
}
.register_splash .rules_text a{
	color:#647785;
}
.register_splash .rules_text > span{
	padding-right:15px;
}


.register_splash{
	display:none;
	width: 100%;
    height: 100%;
    position: fixed;
    top: 0px;
    left: 0;
    overflow: hidden;
    background: rgba(0,0,0,.75);
    z-index: 100;
    box-sizing: border-box;
	padding:40px;
}
.register_splash.opened{
	display:block;
}

.register_splash_wrapper{
	position:relative;
	background:#fff;
	width:100%;
	max-width:<?php echo !empty($widget->options['width']) ? $widget->options['width'] : '1000'; ?>px;
	margin:0 auto;
	top:0;
	height:100%;
	max-height:630px;
	box-sizing: border-box;
	display:flex;
	justify-content: space-between;
	box-shadow: 0 4px 16px 0 rgba(0,0,0,.05);
	border-radius:25px;
	overflow:hidden;
}
.register_splash_wrapper > div{
	  align-self: stretch;
	  height:100%;
	  box-sizing:border-box;
}

<?php if(!empty($widget->options['aside_image']) && !empty($widget->options['aside_bg'])){ ?>
.register_splash_aside:before{
	content:"";
	top:0;
	left:0;
	height:100%;
	width:100%;
	background:<?php echo $widget->options['aside_bg']; ?>;
	opacity:<?php echo !empty($widget->options['aside_bg_opacity']) ? '0.'.$widget->options['aside_bg_opacity'] : '0.6'; ?>;
	position:absolute;
	z-index:1;
}
<?php } ?>
.register_splash_aside{
	position:relative;
	width:<?php echo $aside_width; ?>%;
	box-sizing:border-box;
	padding-left:30px;
	padding-right:40px;
	padding-top:25px;
	color:<?php echo !empty($widget->options['aside_color']) ? $widget->options['aside_color'] : '#647785'; ?>;
	line-height:1.4;	
	<?php if(!empty($widget->options['aside_image'])){ ?>
    background:<?php echo !empty($widget->options['aside_bg']) ? $widget->options['aside_bg'] : '#F4F4F4'; ?> url(/upload/<?php echo $widget->options['aside_image']['original']; ?>) no-repeat;
	background-size:cover;
     <?php }else{ ?>
	background:<?php echo !empty($widget->options['aside_bg']) ? $widget->options['aside_bg'] : '#F4F4F4'; ?>; 
	 <?php } ?>
}
.register_splash_aside a{
	color:<?php echo !empty($widget->options['aside_color_link']) ? $widget->options['aside_color_link'] : '#0A9CE9'; ?>;
}
.register_splash_aside .register_button,
.register_splash_form .buttons .button-submit.button{
	position:absolute;
	bottom:40px;
	right:40px;
    display:inline-block;
    text-decoration:none !important;
    color:#fff;
    border-radius:25px;	
	background:<?php echo !empty($widget->options['button_color']) ? $widget->options['button_color'] : '#0A9CE9'; ?>;
	padding:13px 0;
    width:130px;	
	text-align:center;
    z-index: 100;
	font-size:13px;
	font-weight:600;
	box-shadow: 0 4px 16px 0 rgba(0,0,0,.08);
}
.register_splash_aside .register_button:hover{ opacity:0.9; }
	
	
.register_splash_aside h3,
.register_splash_aside .text_after_h3{
	position:relative; z-index:2;
}
.register_splash_aside h3{
	margin-top:0;
	padding-top:0;
	font-size:28px;
	font-weight:600;
	color:<?php echo !empty($widget->options['aside_color_title']) ? $widget->options['aside_color_title'] : '#000'; ?>;
}
.register_splash_aside .text_after_h3{
	font-size:15px;
	padding-bottom:15px;
}


.register_splash_form{
	  width:calc(100% - <?php echo $aside_width; ?>%);
	  overflow:auto;
	  box-sizing:border-box;
	  padding-left:15px;
}
.register_splash_form a{
	
}
.register_splash_form .symbols_count .symbols_num{
	border:0;
	background:#E8F0FE;
	border-radius:5px;
}
.register_splash_form .symbols_count > span{
	color:#8390A0;
}

.register_splash_form .city-input{ border:0 !important; padding:10px 0 !important; }
.register_splash_form .city-input a, .register_splash_form .input_link_block{
	background:#0A9CE9;
	border-radius:5px;
	padding:6px 8px
}
.register_splash_form .city-input a.city_clear_link{
	background:#53d153; opacity:0.8;
}
.register_splash_form .city-input a.city_clear_link:hover{
	opacity:1;
}
.register_splash_form .city-input .city-name{
	font-weight:600;
	font-size:15px;
}


.register_splash_form::-webkit-scrollbar {
  width: 10px;
}
.register_splash_form::-webkit-scrollbar-track {
  background: #f1f1f1; 
}
.register_splash_form::-webkit-scrollbar-thumb {
  background: #888; 
}
.register_splash_form::-webkit-scrollbar-thumb:hover {
  background: #555; 
}

.register_splash_form form{
	margin:0;
	padding:35px 0;
	overflow:hidden;
	display:block;
	width:100%;
}
.register_splash_form form .input, .register_splash_form form .date-input, .register_splash_form form .city-input, .register_splash_form form .textarea, .register_splash_form form select {
    border-radius: 5px;
    padding: 13px;
    height: auto;
    line-height: unset;
	border:solid 1px #DBDFE2;
	box-shadow:none;
}



.register_splash_form form .tab > div{
	display:flex;
	justify-content: space-between;
	align-items: flex-start; 
    flex-wrap: wrap;  
	flex-direction: row;
	width:calc(100% - 25px);
	border:0;
	padding:0;
	margin-bottom:15px;
}
.register_splash_form form .tab:nth-child(even) > div {
	
}
.register_splash_form form .tab > div div.field{
   float:none;
   box-sizing: border-box;
   padding:15px;
   margin:0;
   flex-basis: 50%;
}

.register_splash_form form .tab > div legend{
	color:#111;
	font-size:20px;
	padding-left:15px;
	padding-top:10px;
	flex-basis: 100%;
	position:relative;
}
.register_splash_form form .tab > div legend span{ background:#fff; padding-right:15px; display:inline-block; position:relative; z-index:2; }
.register_splash_form form .tab > div legend:before{
	content:" ";
	display:block;
	position:absolute;
	left:15px;
	height:2px;
	background:#F4F4F4;
	top:calc(75% - 2px);
	right:0;
}



.register_splash_form form .field label {
    color: #8390A0;
	font-size:15px;
	margin-bottom:6px;
	font-weight:600;
}
.register_splash_form form .field .hint {
	font-size:13px;
	margin-top:4px;
	color: #8390A0;
	opacity:0.9;
}

.register_splash_form .buttons{
	display:none;
	padding:0;
	padding-top:40px;
	overflow:unset;
	text-align:center;
}
.register_splash_form .buttons .button-submit.button{
	position:unset;
	margin:0 auto;
	padding:15px 0;
	width:200px;
}




@media screen and (max-width: 810px) {
	
.register_splash_aside{
	width:40%;
}	
.register_splash_form{
	width:60%;
}
.register_splash_aside h3{
	font-size:24px;
}
.register_splash_aside .text_after_h3{
	font-size:14px;
}

.register_splash_form .city-input .city-name{
	display:block;
	margin-bottom:5px;
}

	
.register_splash_form form .tab > div{
		display:block;
	}
	
}



@media screen and (max-width: 600px) {
	
	.register_splash{
		padding:25px;		
	    max-height:unset;
	}
	.register_splash_wrapper{
		display:block;		
		overflow:auto;
	}
	.register_splash_wrapper > div{
		height:auto;
	}
	.register_splash_aside{
		width:100%;
		position:unset;
	}
	.register_splash_aside h3{

	}	
	.register_splash_aside .text_after_h3{

	}
	.register_splash_form .rules_text{
		padding-top:35px;
	}
	.register_splash_form{	
        padding-top:15px;
		padding-left:15px;
		overflow:unset;
		width:unset;
	}
	
	.register_splash_aside .register_button{
	    display:none;
	}
	
	.register_splash_form form{
		padding:0;
	}
	
	.register_splash_form .buttons{
	    display:block;
	}
	
}
@media screen and (max-width: 380px) {
	
	.register_splash{
		padding:0;
	}
	.register_splash_wrapper{
		border-radius:0;
	}
	
}

</style>